/* brush-params.h
 * This file is part of Vara digital painting program
 * Copyright 2021, 2023, 2024 Nandakumar Edamana
 * Distributed under GNU General Public License, version 3
 */ 

#ifndef N96_DRAW_brush_params_h
#define N96_DRAW_brush_params_h

#include <string.h>
#include <stdlib.h>
#include <stdio.h>
typedef enum Brushtype {
	BRUSHTYPE_CIRCLE1,
	BRUSHTYPE_CIRCLE1NOISE,
	BRUSHTYPE_CIRCLE2,
	BRUSHTYPE_RANDSQUARE,
} Brushtype;

typedef struct BrushParams {
	double opacity;
	_Bool pressure_size;
	double softness;
	int siz;
	Brushtype type;
} BrushParams;

BrushParams brush_params_default();

#endif /* N96_DRAW_brush_params_h */
